Bug 1118524 - Automated install continues despite deleting the staypuft deploy [NEEDINFO]
Summary: Automated install continues despite deleting the staypuft deploy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhel-osp-installer
Version: 5.0 (RHEL 7)
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: Installer
Assignee: Marek Hulan
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 00:06 UTC by Balaji
Modified: 2014-09-12 19:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-12 19:05:54 UTC
mburns: needinfo? (bjayavel)


Attachments (Terms of Use)

Description Balaji 2014-07-11 00:06:25 UTC
Description of problem:
After a failed staypuft deployment, despite unassigning the target hosts and deleting the the deployment, when rebooting the target host, automated install happens.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Initiate a deployment, cancel while in progress and unassign the target hosts and delete the deployment. 
2.Reboot the target hosts and new automated OS install gets executed.
3.

Actual results:
Target host reboot should get added as discovered hosts. However they continue with fresh OS install and do not get discovered.

Expected results:
Upon reboot, an unassigned target should be added to the discovered hosts.

Additional info:

Comment 3 Mike Burns 2014-08-05 15:50:39 UTC
Did you delete the host from Foreman, or just unassign?  The base issue is that the pxelinux.cfg file wasn't cleaned up, but if the host wasn't deleted, then it shouldn't be cleaned up.

Comment 4 Mike Orazi 2014-09-12 19:05:54 UTC
This has been reported as no longer an issue.


Note You need to log in before you can comment on or make changes to this bug.